#ifndef _CPONGSTART_HPP_
#define _CPONGSTART_HPP_

/*** Custom Header Files ***/
#include "../MainMenu/cMainMenu.hpp"
#include "../MainMenu/eOptions.hpp"

namespace PongStart {
	class cPongStart
	{
	public:
		cPongStart();
		~cPongStart();

		///Functions
		/* main loop of the game */
		void Main();

	private:
		void MainMenu();

		void Start();
		void HeadtoHead();
		void Quit();

		void MenuKeyboard();
		
	private:
		MainMenu::cMainMenu* mp_menu;
		MainMenu::eOptions m_option;
	};/// END CLASS DEFINITION cPongStart
}/// END NAMESPACE DEFINITION PongStart
#endif/// END IFNDEF _CPONGSTART_HPP_